#include "gfx/Charset.raw.c"
//#include "gfx/Charset.pal.c"
extern const unsigned short vario_mgd_Palette[];

/*
 * $Header: $
 */

const TCharIndex gBgChars[] =
{
    {'A',   0},
    {'B',   1},
    {'C',   2},
    {'D',   3},
    {'E',   4},
    {'F',   5},
    {'G',   6},
    {'H',   7},
    {'I',   8},
    {'J',   9},
    {'K',  10},
    {'L',  11},
    {'M',  12},
    {'N',  13},
    {'O',  14},
    {'P',  15},
    {'Q',  16},
    {'R',  17},
    {'S',  18},
    {'T',  19},
    {'U',  20},
    {'V',  21},
    {'W',  22},
    {'X',  23},
    {'Y',  24},
    {'Z',  25},
    {'a',  26},
    {'b',  27},
    {'c',  28},
    {'d',  29},
    {'e',  30},
    {'f',  31},
    {'g',  32},
    {'h',  33},
    {'i',  34},
    {'j',  35},
    {'k',  36},
    {'l',  37},
    {'m',  38},
    {'n',  39},
    {'o',  40},
    {'p',  41},
    {'q',  42},
    {'r',  43},
    {'s',  44},
    {'t',  45},
    {'u',  46},
    {'v',  47},
    {'w',  48},
    {'x',  49},
    {'y',  50},
    {'z',  51},
    {'0',  52},
    {'1',  53},
    {'2',  54},
    {'3',  55},
    {'4',  56},
    {'5',  57},
    {'6',  58},
    {'7',  59},
    {'8',  60},
    {'9',  61},
    {'\201',  62},
    {'\202',  63},
    {'\203',  64},
    {'\204',  65},
    {'\205',  66},
    {'\206',  67},
    {'\207',  68},
    {'\210',  69},
    {'\211',  70},
    {'\212',  71},
    {'\213',  72},
    {':',  73},
    {'.',  74},
    {';',  75},
    {'^',  76},
    {'+',  77},
    {'*',  78},
    {'@',  79},
    {'!',  80},
    {'"',  81},
    {'-',  82},
    {'$',  83},
    {'\%', 84},
    {'&',  85},
    {'/',  86},
    {'(',  87},
    {')',  88},
    {'=',  89},
    {'?',  90},
    {'|',  91},
    {'\\', 92},
    {'<',  93},
    {'>',  94},
    {'[',  95},
    {']',  96},
    {'{',  97},
    {'}',  98},
    {'\220',  99},
    {'\221', 100},
    {'\222', 101},
    {'\223', 102},
    {' ', 103},
	{'\224',104},
	{'\225',105},
	{'\226',106},
	{'\227',107}
};

const TBgTextI gBgTextInfo =
{
    1,                          // Background we want to use for text output
    8,                          // Tile Width
    8,                          // Tile Height
    (u8*)Charset_Tiles,         // Pointer to tile data
    sizeof(Charset_Tiles),      // Tile data size
    (u16*)vario_mgd_Palette,      // Pointer to palette
    -1,                         // Palette Index, if it's a 16 color palette, -1 = 256 color palette
    256,                        // PaletteSize
    sizeof(gBgChars)/2,          // Number of chars
    (TCharIndex*)gBgChars        // Pointer to CharIndex Information
};

