#ifndef TMR_H_
#define TMR_H_

#include "def.h"


#define TMR_SCALER          64


typedef struct TIMER_
    {
    // flight duration
    volatile int fsecs;
    volatile int fmins;
    volatile int fhrs;
    // real time
    volatile int rsecs;
    volatile int rmins;
    volatile int rhrs;
    volatile int rdow;
    
    volatile u32 ticks;
    volatile int tickCntr;
    volatile int varioCntr;
    volatile int varioTickFlag;
    volatile int secFlag;
    volatile int runFlag;
    } TIMER;

extern TIMER  gTmr;

class CTimer
    {
    public :
    void Init(int rdow, int hrs, int min, int sec);
    void Reset();
    void SetRealTime(int rdow, int hrs, int min, int sec);
    };

#endif

/*
 * $Header: $
 */

