#ifndef FOSP01_H_
#define FOSP01_H_

#define SENSOR_XCLR         PORT_SO
#define SENSOR_XCLR_WR      PORT_SO_WR

#define SENSOR_ST_IDLE           11
#define SENSOR_ST_TCONV          22
#define SENSOR_ST_PCONV          33

// approximately 80mS per P+T sample, which is about 12 P+T samples/second
#define SENSOR_SAMPLES_PER_SEC   12
#define SENSOR_MAX_SAMPLES       100

#define SET_XCLR_LO()   {PORT_REG &= ~SENSOR_XCLR;}
#define SET_XCLR_HI()   {PORT_REG |=  SENSOR_XCLR;}


#endif
