#ifndef SCP1000_H
#define SCP1000_H

#include "def.h"

// in continuous sampling mode, approximately 110-120mS per P+T sample,
// which is about 9 P+T samples/second
#define SENSOR_SAMPLES_PER_SEC         9
#define SENSOR_MAX_SAMPLES            72

#define SENSOR_STANDBY                11
#define SENSOR_SAMPLE_ONCE            22
#define SENSOR_SAMPLE_CONTINUOUS      33

#endif
