#ifndef UI_H_
#define UI_H_

void ResetBkg(void);

void ResetLogRecord();
void DisplayLogRecord(int nrec);
void DisplaySettings(void);
void DeleteSprites(void);
void ResetScreen(void);
void InitLogMode();
void InitSetMode();
void InitRunMode();
void InitSimMode();
void LogEventHandler(void);
void SetEventHandler(void);
void SimEventHandler(void);
void RunEventHandler(void);
void VblFunc(void);

void PrintUN(int nchars, char* buf, char* format, ...);
void PrintSN(int nchars, char* buf, char* format, ...);
void LoadScreen(const u16* pPalette, const u16* pData);
void PrintAlt(char* szbuf, int nAlt);
void PrintAltAL(char* szbuf, int nLaunchAlt);
void PrintTemperature(char* szbuf, int nTempC);
void PrintClimbRate(char* szbuf, int crcm);
void PrintRealTime(char* szbuf);
void ClearText(int nRows);
void DisplaySlider(int crcm);
void DisplayDate(void);

#endif
